Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOAccessArrayFaultHandler
EOAccessFaultHandler
EOAccessGenericFaultHandler
EOAdaptor
EOAdaptorChannel
EOAdaptorContext
EOAdaptorOperation
EOAttribute
EODatabase
EODatabaseChannel
EODatabaseContext
EODatabaseDataSource
EODatabaseOperation
EOEntity
EOEntityClassDescription
EOJoin
EOLoginPanel
EOModel
EOModelGroup
EORelationship
EOSQLExpression
EOSQLExpressionFactory
EOSQLQualifier
EOStoredProcedure

### Protocols

<EOColumnTypes>
<EOPropertyListEncoding>
<EOQualifierSQLGeneration>
(EOAdaptorChannelDelegation)
(EOAdaptorContextDelegation)
(EOAdaptorDelegate)
(EODatabaseContextDelegation)
(EOModelGroupClassDelegation)
(EOModelGroupDelegation)
(EOSchemaSynchronizationDelegates)

### Constants

### Functions

EODatabaseContext_globalIDForObjectWithImpPtr
EODatabaseContext_snapshotForGlobalIDWithImpPtr
GDL2_EOAccessPrivateInit

### Macros

### Types

EOAdaptorOperator
EODatabaseOperator
EODelegateResponse
EOJoinSemantic
EOUpdateStrategy

### Variables

EOAccessFaultObjectNotAvailableException
EOAdaptorContextBeginTransactionNotification
EOAdaptorContextCommitTransactionNotification
EOAdaptorContextRollbackTransactionNotification
EOAdaptorFailureKey
EOAdaptorKey
EOAdaptorOperationsKey
EOAdaptorOptimisticLockingFailure
EOAdministrativeConnectionDictionaryKey
EOAdministrativeConnectionDictionaryNeededNotification
EOAllowsNullKey
EOBindVariableAttributeKey
EOBindVariableColumnKey
EOBindVariableNameKey
EOBindVariablePlaceHolderKey
EOBindVariableValueKey
EOColumnNameKey
EOConnectionDictionaryKey
EOCreateDatabaseKey
EOCreatePrimaryKeySupportKey
EOCreateTablesKey
EOCustomQueryExpressionHintKey
EODatabaseChannelNeededNotification
EODatabaseContextKey
EODatabaseOperationsKey
EODeleteProcedureOperation
EODistantPastTimeInterval
EODropDatabaseKey
EODropPrimaryKeySupportKey
EODropTablesKey
EOEntityLoadedNotification
EOExternalNameKey
EOExternalTypeKey
EOFailedAdaptorOperationKey
EOFailedDatabaseOperationKey
EOFetchAllProcedureOperation
EOFetchWithPrimaryKeyProcedureOperation
EOForeignKeyConstraintsKey
EOGeneralAdaptorException
EOGeneralDatabaseException
EOInsertProcedureOperation
EOModelAddedNotification
EOModelInvalidatedNotification
EOModelKey
EOMoreThanOneException
EONameKey
EONextPrimaryKeyProcedureOperation
EOPrecisionKey
EOPrimaryKeyConstraintsKey
EORelationshipsKey
EOScaleKey
EOSchemaSynchronizationForeignKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeySupportKey
EOStoredProcedureNameHintKey
EOWidthKey
GDL2_EOAttributeClass
GDL2_EODatabaseContextClass
GDL2_EODatabaseContext__globalIDForObjectIMP
GDL2_EODatabaseContext_snapshotForGlobalIDIMP
GDL2_EOEntityClass
GDL2_EORelationshipClass
eqSel
struct _EOTransactionScope

Up

# EOUtilities documentation

### Authors

Manuel Guesdon (`mguesdon@orange-concept.com`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2000-2002,2003,2004,2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the EOEditingContext(EOUtilities) category
2. EOUtilities variables

# Software documentation for the EOEditingContext(EOUtilities) category

## EOEditingContext(EOUtilities)

> Declared in:
>   EOAccess/EOUtilities.h

Description forthcoming.

### Method summary

- -connectWithModelNamed:connectionDictionaryOverrides:
- -createAndInsertInstanceOfEntityNamed:
- -databaseContextForModelNamed:
- -destinationKeyForSourceObject:relationshipNamed:
- -entityForClass:
- -entityForObject:
- -entityNamed:
- -executeStoredProcedureNamed:arguments:
- -localInstanceOfObject:
- -localInstancesOfObjects:
- -modelGroup
- -objectForEntityNamed:qualifierFormat:,...
- -objectFromRawRow:entityNamed:
- -objectMatchingValue:forKey:entityNamed:
- -objectMatchingValues:entityNamed:
- -objectWithFetchSpecificationNamed:entityNamed:bindings:
- -objectWithPrimaryKey:entityNamed:
- -objectWithPrimaryKeyValue:entityNamed:
- -objectsForEntityNamed:
- -objectsForEntityNamed:qualifierFormat:,...
- -objectsMatchingValue:forKey:entityNamed:
- -objectsMatchingValues:entityNamed:
- -objectsOfClass:
- -objectsWithFetchSpecificationNamed:entityNamed:bindings:
- -primaryKeyForObject:
- -rawRowsForEntityNamed:qualifierFormat:,...
- -rawRowsMatchingValue:forKey:entityNamed:
- -rawRowsMatchingValues:entityNamed:
- -rawRowsWithSQL:modelNamed:
- -rawRowsWithStoredProcedureNamed:arguments:

### connectWithModelNamed: connectionDictionaryOverrides:

- (void) connectWithModelNamed: (NSString*)name connectionDictionaryOverrides: (NSDictionary*)overrides;
Description forthcoming.

### createAndInsertInstanceOfEntityNamed:

- (id) createAndInsertInstanceOfEntityNamed: (NSString*)entityName;
Description forthcoming.

### databaseContextForModelNamed:

- (EODatabaseContext*) databaseContextForModelNamed: (NSString*)name;
Description forthcoming.

### destinationKeyForSourceObject: relationshipNamed:

- (NSDictionary*) destinationKeyForSourceObject: (id)object relationshipNamed: (NSString*)name;
Description forthcoming.

### entityForClass:

- (EOEntity*) entityForClass: (Class)classObject;
Description forthcoming.

### entityForObject:

- (EOEntity*) entityForObject: (id)object;
Description forthcoming.

### entityNamed:

- (EOEntity*) entityNamed: (NSString*)entityName;
Description forthcoming.

### executeStoredProcedureNamed: arguments:

- (NSDictionary*) executeStoredProcedureNamed: (NSString*)name arguments: (NSDictionary*)args;
Description forthcoming.

### localInstanceOfObject:

- (id) localInstanceOfObject: (id)object;
Description forthcoming.

### localInstancesOfObjects:

- (NSArray*) localInstancesOfObjects: (NSArray*)objects;
Description forthcoming.

### modelGroup

- (EOModelGroup*) modelGroup;
Description forthcoming.

### objectForEntityNamed: qualifierFormat: ,...

- (id) objectForEntityNamed: (NSString*)entityName qualifierFormat: (NSString*)format,...;
Description forthcoming.

### objectFromRawRow: entityNamed:

- (id) objectFromRawRow: (NSDictionary*)row entityNamed: (NSString*)entityName;
Description forthcoming.

### objectMatchingValue: forKey: entityNamed:

- (id) objectMatchingValue: (id)value forKey: (NSString*)key entityNamed: (NSString*)entityName;
Description forthcoming.

### objectMatchingValues: entityNamed:

- (id) objectMatchingValues: (NSDictionary*)values entityNamed: (NSString*)entityName;
Description forthcoming.

### objectWithFetchSpecificationNamed: entityNamed: bindings:

- (id) objectWithFetchSpecificationNamed: (NSString*)fetchSpecName entityNamed: (NSString*)entityName bindings: (NSDictionary*)bindings;
Description forthcoming.

### objectWithPrimaryKey: entityNamed:

- (id) objectWithPrimaryKey: (NSDictionary*)pkDict entityNamed: (NSString*)entityName;
Description forthcoming.

### objectWithPrimaryKeyValue: entityNamed:

- (id) objectWithPrimaryKeyValue: (id)value entityNamed: (NSString*)entityName;
Description forthcoming.

### objectsForEntityNamed:

- (NSArray*) objectsForEntityNamed: (NSString*)entityName;
Description forthcoming.

### objectsForEntityNamed: qualifierFormat: ,...

- (NSArray*) objectsForEntityNamed: (NSString*)entityName qualifierFormat: (NSString*)format,...;
Description forthcoming.

### objectsMatchingValue: forKey: entityNamed:

- (NSArray*) objectsMatchingValue: (id)value forKey: (NSString*)key entityNamed: (NSString*)entityName;
Description forthcoming.

### objectsMatchingValues: entityNamed:

- (NSArray*) objectsMatchingValues: (NSDictionary*)values entityNamed: (NSString*)entityName;
Description forthcoming.

### objectsOfClass:

- (NSArray*) objectsOfClass: (Class)classObject;
Description forthcoming.

### objectsWithFetchSpecificationNamed: entityNamed: bindings:

- (NSArray*) objectsWithFetchSpecificationNamed: (NSString*)fetchSpecName entityNamed: (NSString*)entityName bindings: (NSDictionary*)bindings;
Description forthcoming.

### primaryKeyForObject:

- (NSDictionary*) primaryKeyForObject: (id)object;
Description forthcoming.

### rawRowsForEntityNamed: qualifierFormat: ,...

- (NSArray*) rawRowsForEntityNamed: (NSString*)entityName qualifierFormat: (NSString*)format,...;
Description forthcoming.

### rawRowsMatchingValue: forKey: entityNamed:

- (NSArray*) rawRowsMatchingValue: (id)value forKey: (NSString*)key entityNamed: (NSString*)entityName;
Description forthcoming.

### rawRowsMatchingValues: entityNamed:

- (NSArray*) rawRowsMatchingValues: (NSDictionary*)values entityNamed: (NSString*)entityName;
Description forthcoming.

### rawRowsWithSQL: modelNamed:

- (NSArray*) rawRowsWithSQL: (NSString*)sqlString modelNamed: (NSString*)name;
Description forthcoming.

### rawRowsWithStoredProcedureNamed: arguments:

- (NSArray*) rawRowsWithStoredProcedureNamed: (NSString*)name arguments: (NSDictionary*)args;
Description forthcoming.

# EOUtilities variables

### EOMoreThanOneException

NSString* EOMoreThanOneException;
Description forthcoming.

Up